<template name="groupDetailsPage">
  <div class="container">
    {{#if group.isNew}}
      <h2>{{i18n 'group.details.titleNew' "Create new group"}}</h2>
    {{/if}}
    <div class="page-component group-details">
      <div class="group-details-titlebar clearfix">
        {{i18n 'group.details.group' 'Group'}}
        {{#if isFeatured}}
          <i alt="{{i18n 'group.details.isFeatured' 'This group is featured' attr=true}}"
             aria-hidden="true" class="fa-solid fa-star fa-fw"></i>
        {{/if}}
        <button class="btn btn-link float-end ms-2 js-group-remove-filter" data-bs-toggle="tooltip"
                data-bs-title="{{i18n 'group.page.removeFilter' 'See all courses' attr=true}}">
          <i class="fa-solid fa-xmark fa-lg" aria-hidden="true"></i>
        </button>
        {{#unless group.isNew}}
          {{#if mayEdit}}
            <button class="btn btn-link float-end ms-2 js-group-settings" data-bs-toggle="tooltip"
                    data-bs-title="{{i18n 'group.settings.title' attr=true}}">
              <i class="fa-solid fa-gear fa-lg" aria-hidden="true"></i>
            </button>
          {{/if}}
        {{/unless}}
      </div>
      <div class="details-header group-details-header clearfix {{headerClasses}}">
        {{#if group.publicLogoUrl}}
          <div class="group-details-logo">
            <img src="{{group.publicLogoUrl}}">
          </div>
        {{/if}}
        <div class="group-details-name">
          {{#if editableName}}
            {{> editable editableName}}
          {{else}}
            {{group.name}}
          {{/if}}
        </div>
        <div class="group-details-short">
          {{#if editableShort}}
            {{> editable editableShort}}
          {{else}}
            ({{group.short}})
          {{/if}}
        </div>
      </div>
      {{#if hasContent}}
        <div class="details-body group-details-body">
          <div class="details-content group-details-content {{errorClass 'all'}}">
            {{#if editableClaim}}
              <div class="group-details-claim">
                {{> editable editableClaim}}
              </div>
            {{else}}
              {{#if group.claim}}
                <div class="group-details-claim">
                  {{group.claim}}
                </div>
              {{/if}}
            {{/if}}
            {{#if editableDescription}}
              <div class="group-details-description is-editable">
                {{> editable editableDescription}}
              </div>
            {{else}}
              <div class="group-details-description">
                {{{group.description}}}
              </div>
            {{/if}}
            {{errorMessage 'all'}}
          </div>
        </div>
      {{/if}}
      {{#if group.isNew}}
        <div class="actions">
          {{> buttonSave event="js-group-save" saving=saving}}
          {{> buttonCancel event="js-group-cancel"}}
        </div>
      {{/if}}
      {{#if editingSettings}}
        {{> groupSettings}}
      {{/if}}
    </div>
    {{#if showCourses}}
      {{> find courseQuery}}
    {{/if}}
  </div>
</template>
